[Numpy-discussion] Numpy-1.0.3 RPM install failure on SUSE 10.2

David Cournapeau david@ar.media.kyoto-u.ac...
Sat Jun 9 03:48:08 CDT 2007


rex wrote:
>
> Thanks for the response. Numpy/SciPy has always been one of the most
> difficult packages to install I've ever encountered (I've installed
> hundreds of tarballs over the years). I've been using SUSE since version
> 6.4, and it's always a battle to get Numpy/SciPy running. I succeed
> about every other release, but only after many hours of work. Half the
> time I fail and don't use Numpy/SciPy until the next release. By then
> I've forgotten the incredible frustration, and try again.
This is really Suse fault, honnestly. As Fedora, they have mostly broken 
blas or lapack, or at least had for a long time. I guess this is because 
most people using BLAS/LAPACK compile them by themselves, and not that 
many softwares depend on those; when I started packaging BLAS and LAPACK 
correctly for suse, I noticed that the g77 compiler has been broken for 
several months ! Also, if you take a look at the spec file of 
blas/lapack in suse, and compare them with the work done by the debian 
packagers, it is obvious why one works flawlessly, and the others do not 
(it is true that BLAS and LAPACK are difficult to package correctly 
because they have primitive makefile).

I have *never* encountered so many problems on any debian or ubuntu 
machines. If I had, maybe I won't be using numpy or scipy right now. 
Using opensuse and fedora has been really, really painful when I started 
packaging numpy and scipy for those platforms. I would go as far as 
advising you to install a distribution which packages its software 
correctly, like debian: you can install it on par with your opensuse by 
using a chroot jail, or any other mean.
>
> I tried to install from source with this result:
>
> deserv:/usr/local/src/numpy-1.0.3 # python setup.py install
> Running from numpy source directory.
> Traceback (most recent call last):
>   File "setup.py", line 91, in <module>
>     setup_package()
>   File "setup.py", line 61, in setup_package
>     from numpy.distutils.core import setup
>   File "/usr/local/src/numpy-1.0.3/numpy/distutils/core.py", line 24, in <module>
>     from numpy.distutils.command import build_ext
>   File "/usr/local/src/numpy-1.0.3/numpy/distutils/command/build_ext.py", line 16, in <module>
>     from numpy.distutils.system_info import combine_paths
>   File "/usr/local/src/numpy-1.0.3/numpy/distutils/system_info.py", line 159, in <module>
>     so_ext = distutils.sysconfig.get_config_vars('SO')[0] or ''
>   File "/usr/lib/python2.5/distutils/sysconfig.py", line 493, in get_config_vars
>     func()
>   File "/usr/lib/python2.5/distutils/sysconfig.py", line 352, in _init_posix
>     raise DistutilsPlatformError(my_msg)
> distutils.errors.DistutilsPlatformError: invalid Python installation: unable to open /usr/lib/python2.5/config/Makefile (No such file or
> +directory)
Did you install python-devel, or something like this ?
>
> There is no 'config' directory under /usr/lib/python2.5
>
> There is a science repository linked from http://www.scipy.org/Installing_SciPy/Linux
>
> http://repos.opensuse.org/science/
>
> I tried to install from the RPMs there, but the recursive dependency
> chain broke when a gfortran lib that isn't there was required. I also
> wonder if there was ANY testing by the packagers.
>
> http://software.opensuse.org/download/home:/ashigabou
>
> Times out. :( 
Unfortunately, there seems to be a lot of server issues on the service...

David


More information about the Numpy-discussion mailing list